
#ifndef _TYPES_H
#define _TYPES_H

typedef signed char int8;
typedef unsigned char uint8;

#ifdef WIN32
# include <windows.h>

/* These _should_ be alright for windows */
typedef SHORT int16;
typedef USHORT uint16;
typedef LONG int32;
typedef ULONG uint32;

#endif /* WIN32 */

#ifdef LINUX

/* And now for some 'POSIX' types instead        */
/* With a lot less braindamaged names, of course */
typedef int16_t int16;
typedef u_int16_t uint16;
typedef int32_t int32;
typedef u_int32_t uint32;

#endif /* LINUX */

/* Maybe this should be somewhere else, but what the hell... */
#ifndef TRUE
# define TRUE (1==1)
#endif /* TRUE */
#ifndef FALSE
# define FALSE (!TRUE)
#endif /* FALSE */

#endif /* _TYPES_H */
